Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Consistent failure with the same package #75

Closed
Keats opened this issue Sep 27, 2017 · 1 comment
Closed

Consistent failure with the same package #75

Keats opened this issue Sep 27, 2017 · 1 comment

Comments

@Keats
Copy link

@Keats Keats commented Sep 27, 2017

Version: 0.5.1

This Cargo.toml always fail with the following error:

error: no matching package named `pest_derive` found (required by `tera`)
location searched: registry https://github.com/rust-lang/crates.io-index
version required: *
@Frederick888

This comment has been minimized.

Copy link
Collaborator

@Frederick888 Frederick888 commented Oct 6, 2017

I think this is related to rust-lang/cargo#2222. I still have no idea how to capture the latest pre-release without calling crates.io APIs. In your case specifically, because pest_derive has no stable releases yet, cargo simply fails due to "no matching package" with the wildcard requirement.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.